Redmine - Defect #5760

Assigned_to and author filters in "Projects>View all issues™ should be based on user's project
visibility

2010-06-25 09:35 - Jean-Baptiste Barth

Status: Closed Start date: 2010-06-25
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: Issues Estimated time: 0.00 hour
Target version: 1.0.1

Resolution: Affected version:

Description

As | was working on #2055, | noticed that anonymous user doesn't have filters for "assigned_to" and "author" fields in the
cross-project "View all issues" page. In fact users can only filter on users of projects they currently are member of, whereas they
should be able to filter on each visible project. Actually that's what they can do in each project "Issues" tab, so there's no reason they
couldn't do it in cross-project view.

Steps to reproduce (here on www.redmine.org for instance) :
® |og out
¢ click on "Projects" at the top, then on "View all issues" in the sidebar

e try to add a filter => no "Author" or "Assigned to" option

Patch attached. Can anybody confirm this is functionally appropriate before | push it to the trunk ?

Associated revisions

Revision 3916 - 2010-08-04 23:01 - Jean-Baptiste Barth

Fixed: assigned_to and author filters in cross project issues view should be based on user's project visibility. #5760

History

#1 - 2010-06-27 01:55 - Felix Schéfer

Looks ok to me.

#2 - 2010-08-04 23:20 - Jean-Baptiste Barth
- Status changed from 7 to Closed
- Target version set to 1.0.1

- % Done changed from 0 to 100

Applied in r3916

#3 - 2010-08-04 23:23 - Jean-Baptiste Barth

- Status changed from Closed to Reopened

#4 - 2010-08-04 23:23 - Jean-Baptiste Barth

- Status changed from Reopened to Resolved

Sorry | should have left this as "Resolved" until it's merged in stable branch.

#5 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.
